org.eclipse.wst.jsdt.ui.text.folding

## Class DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation

- java.lang.Object
- - ProjectionAnnotation
  - - org.eclipse.wst.jsdt.ui.text.folding.DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation

Enclosing class:
  DefaultJavaFoldingStructureProvider

    protected static final class DefaultJavaFoldingStructureProvider.JavaProjectionAnnotation
    extends ProjectionAnnotation

A `ProjectionAnnotation` for JavaScript code.

### Constructor Summary

Constructors
Constructor and Description
`JavaProjectionAnnotation(boolean isCollapsed, IJavaScriptElement element, boolean isComment)` Creates a new projection annotation.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JavaProjectionAnnotation

    public JavaProjectionAnnotation(boolean isCollapsed,
                                    IJavaScriptElement element,
                                    boolean isComment)

Creates a new projection annotation.

Parameters:
  `isCollapsed` - `true` to set the initial state to collapsed, `false` to set it to expanded
  `element` - the JavaScript element this annotation refers to
  `isComment` - `true` for a foldable comment, `false` for a foldable code element

### Method Detail

#### toString

    public java.lang.String toString()